#
# spec file for package perl-Email-Valid
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Email-Valid
Version:        0.187
Release:        2.2
%define cpan_name Email-Valid
Summary:        Check validity of Internet email addresses
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Email-Valid/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
#BuildRequires:  perl-macros
BuildRequires:  perl(Mail::Address)
BuildRequires:  perl(Net::DNS)
#BuildRequires: perl(Email::Valid)
#BuildRequires: perl(IO::CaptureOutput)
#BuildRequires: perl(Net::Domain::TLD)
Requires:       perl(Mail::Address)
Requires:       perl(Net::DNS)
%{perl_requires}

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain.

Please note that there is no way to determine whether an address is
deliverable without attempting delivery (for details, see perlfaq 9).

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
#broken %{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Feb 27 2012 coolo@suse.com
- updated to 0.187
    addresses in the form rjbs@[1.2.3.4] are now (correctly) considered
    valid; this can be disabled with the -allow_ip option
    (this resolves RT#48398)
    check email address length and localpart length (thanks, Steve
    Bertrand!)
    use blessed($x) instead of wrapping an ->isa called in eval{}; this
    patch (thanks, Felipe Bergo!) was submitted to avoid problems with
    people who have global __DIE__ handlers, but was applied to just
    avoid the dumb eval{}; people with __DIE__ are otherwise on their
    own, here
* Fri Dec  2 2011 coolo@suse.com
- update to 0.185
    do not die in t/valid.t when testing for working DNS
    avoid a pointless warning
    check TLD validity before MX records
    reject addresses with non-ASCII characters
* Tue Apr 26 2011 coolo@opensuse.org
- updated to 0.184
    initialize Net::DNS resolver earlier
    (address RT #56828, thanks mschout @ github)
    reject addresses with any octets that are &128
    (address RT #50230, thanks Adriano Ferreira and Graham Barr)
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct  6 2009 jfunk@funktronics.ca
- Update to 0.182
  - skip DNS tests on machines with lying DNS
- 0.181     2009-03-23
  - explicitly require perl5 version 6
  - update some module metadata (Alexandr Ciornii)
  - remove hateful indirect method notation (Alexandr Ciornii)
- 0.180     2009-01-16
  - add repo location to metadata
- 0.179   Mon Nov 27 2006
  - bug 23657: fix domain label regex: thanks, Nobuaki ITO!
- 0.178   Sat Nov 25 2006
  - reduce cases in which IO::CaptureOutput is needed on Win32
    (bug 22062, thanks Alexandr Ciornii)
- 0.177   Sat Nov 25 2006
  - resolve bug 22710: make fqdn rule more strict: domains must be multiple
    valid domain labels, and domain labels must be [a-z0-9][-a-z0-9]*
    replace UNIVERSAL:: with eval{}-wrapping
- 0.176   Thu Jul 27 2006
  - further improve DNS stuff: try to make Net::DNS a prereq if we think
    we'll need it later
- 0.175   Sat Jun 24 2006
  - attempt to improve nslookup-location on Cygwin
  Sun Apr 12 2009 Christian Boltz
- some build and rpmlint fixes (unpackaged directories, unsafe RPM_BUILD_ROOT cleanup)
* Tue Jun 20 2006 James Oakley <jfunk@funktronics.ca> - 0.174-1
- Build under build service
* Fri Nov 11 2005 James Oakley <jfunk@funktronics.ca> - 0.15-ft.3
- Build for SL10
* Thu May 12 2005 James Oakley <jfunk@funktronics.ca> - 0.15-ft.2
- Build for SL93
* Fri Nov 19 2004 James Oakley <jfunk@funktronics.ca> - 0.15-ft.1
- Build for SL92
